All the mail mirrored from lore.kernel.org
 help / color / mirror / Atom feed
From: Zhilong Liu <zlliu@suse.com>
To: jsorensen@fb.com
Cc: linux-raid@vger.kernel.org, Zhilong Liu <zlliu@suse.com>
Subject: [PATCH 11/13] mdadm/test: did basic improvement for 05r1-internalbitmap
Date: Fri,  1 Dec 2017 17:48:12 +0800	[thread overview]
Message-ID: <1512121694-18168-12-git-send-email-zlliu@suse.com> (raw)
In-Reply-To: <1512121694-18168-1-git-send-email-zlliu@suse.com>

clean the code style.
add sleep after add new device so that udev could
have enough time to execute.

Signed-off-by: Zhilong Liu <zlliu@suse.com>
---
 tests/05r1-internalbitmap | 26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)

diff --git a/tests/05r1-internalbitmap b/tests/05r1-internalbitmap
index dd7232a..587d5d8 100644
--- a/tests/05r1-internalbitmap
+++ b/tests/05r1-internalbitmap
@@ -2,8 +2,10 @@
 #
 # create a raid1 with an internal bitmap
 #
-mdadm --create -e0.90 --run $md0 --level=1 -n2 --delay=1  --bitmap internal --bitmap-chunk=4 $dev1 $dev2
+mdadm --create -e0.90 --run $md0 --level=1 -n2 --delay=1 --bitmap internal --bitmap-chunk=4 $dev1 $dev2
 check wait
+check raid1
+check state UU
 testdev $md0 1 $mdsize0 64
 mdadm -S $md0
 
@@ -14,8 +16,9 @@ sleep 4
 dirty2=`mdadm -X $dev2 | sed -n -e 's/.*Bitmap.* \([0-9]*\) dirty.*/\1/p'`
 
 if [ $dirty1 -lt 400 -o $dirty2 -ne 0 ]
-then  echo >&2 "ERROR bad 'dirty' counts: $dirty1 and $dirty2"
-  exit 1
+then
+	echo >&2 "ERROR bad 'dirty' counts: $dirty1 and $dirty2"
+	exit 1
 fi
 mdadm $md0 -f $dev1
 testdev $md0 1 $mdsize0 64
@@ -23,16 +26,19 @@ sleep 4
 dirty3=`mdadm -X $dev2 | sed -n -e 's/.*Bitmap.* \([0-9]*\) dirty.*/\1/p'`
 if [ $dirty3 -lt 400 ]
 then
-   echo >&2 "ERROR dirty count $dirty3 is too small"
-   exit 2
+	echo >&2 "ERROR dirty count $dirty3 is too small"
+	exit 2
 fi
-
 mdadm -S $md0
 
 mdadm --assemble -R $md0  $dev2
 mdadm --zero-superblock $dev1
 mdadm $md0 --add $dev1
+sleep 1
 check recovery
+check wait
+check raid1
+check state UU
 
 dirty4=`mdadm -X $dev2 | sed -n -e 's/.*Bitmap.* \([0-9]*\) dirty.*/\1/p'`
 check wait
@@ -40,8 +46,10 @@ sleep 4
 dirty5=`mdadm -X $dev2 | sed -n -e 's/.*Bitmap.* \([0-9]*\) dirty.*/\1/p'`
 
 if [ $dirty4 -lt 400 -o $dirty5 -ne 0 ]
-then echo echo >&2 "ERROR bad 'dirty' counts at end: $dirty4 $dirty5"
-  exit 1
+then
+	echo echo >&2 "ERROR bad 'dirty' counts at end: $dirty4 $dirty5"
+	exit 1
 fi
-
 mdadm -S $md0
+
+exit 0
-- 
1.8.5.6


  parent reply	other threads:[~2017-12-01  9:48 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-12-01  9:48 [RFC PATCH 00/13] mdadm/test: Basic improvement for some cases Zhilong Liu
2017-12-01  9:48 ` [PATCH 01/13] mdadm/manpage: raid10 doesn't support resize 'far' arrays Zhilong Liu
2017-12-01  9:48 ` [PATCH 02/13] mdadm/test: did basic improvement for 00names Zhilong Liu
2017-12-01  9:48 ` [PATCH 03/13] mdadm/test: redraft the 00raid1 test case Zhilong Liu
2017-12-01  9:48 ` [PATCH 04/13] mdadm/test: redraft 00raid4 " Zhilong Liu
2017-12-01  9:48 ` [PATCH 05/13] mdadm/test: redraft the 00raid5 " Zhilong Liu
2017-12-01  9:48 ` [PATCH 06/13] mdadm/test: redraft the 00raid6 " Zhilong Liu
2017-12-01  9:48 ` [PATCH 07/13] mdadm/test: redraft the 00raid10 " Zhilong Liu
2017-12-01  9:48 ` [PATCH 08/13] mdadm/test: redraft 02r5grow and rename it as 02r5grow-resize Zhilong Liu
2017-12-01  9:48 ` [PATCH 09/13] mdadm/test: redraft 02r6grow and rename it as 02r6grow-resize Zhilong Liu
2017-12-01  9:48 ` [PATCH 10/13] mdadm/test: add new test 02r10grow-resize Zhilong Liu
2017-12-01  9:48 ` Zhilong Liu [this message]
2017-12-01  9:48 ` [PATCH 12/13] mdadm/test: did basic improvement for 05r1-n3-bitmapfile Zhilong Liu
2017-12-01  9:48 ` [PATCH 13/13] mdadm/test: Change check nosync as check recovery in 05r1-re-add-nosuper Zhilong Liu

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1512121694-18168-12-git-send-email-zlliu@suse.com \
    --to=zlliu@suse.com \
    --cc=jsorensen@fb.com \
    --cc=linux-raid@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.